Bug 445403 (CVE-2008-1377) - CVE-2008-1377 X.org Record and Security extensions memory corruption
Summary: CVE-2008-1377 X.org Record and Security extensions memory corruption
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1377
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 445437 445438 445439 445440 445441 445442 445443 450924 450925 450926 450927
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-06 18:40 UTC by Josh Bressers
Modified: 2019-09-29 12:24 UTC (History)
4 users (show)

Fixed In Version: 1.4.99.902-3.20080612.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-14 04:15:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0502 0 normal SHIPPED_LIVE Important: XFree86 security update 2008-06-11 19:26:38 UTC
Red Hat Product Errata RHSA-2008:0503 0 normal SHIPPED_LIVE Important: xorg-x11 security update 2008-06-11 18:50:34 UTC
Red Hat Product Errata RHSA-2008:0504 0 normal SHIPPED_LIVE Important: xorg-x11-server security update 2008-06-11 19:34:55 UTC
Red Hat Product Errata RHSA-2008:0512 0 normal SHIPPED_LIVE Important: XFree86 security update 2008-06-11 19:49:41 UTC

Description Josh Bressers 2008-05-06 18:40:07 UTC
iDefense reported several flaws in the X.org Record and Security extensions. 
The iDefense advisory states:

    Multiple vulnerabilities are present in the Record and Security
    extensions. In both cases, untrusted values are taken from a client
    request, and used to swap the byte order of heap memory that follows
    the client request. Since the number of bytes to swap is not properly
    validated, it is possible to corrupt heap memory located after the
    request. The following functions contain vulnerable code:

    SProcSecurityGenerateAuthorization() SProcRecordCreateContext()
    SProcRecordRegisterClients()

Comment 24 Tomas Hoger 2008-06-11 18:21:54 UTC
Public now:

  http://lists.freedesktop.org/archives/xorg/2008-June/036026.html

Comment 26 Fedora Update System 2008-06-12 06:05:05 UTC
xorg-x11-server-1.4.99.902-3.20080612.fc9 has been submitted as an update for Fedora 9

Comment 27 Tomas Hoger 2008-06-12 08:51:02 UTC
iDefense advisory:

  http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=721

Comment 28 Fedora Update System 2008-06-13 02:18:15 UTC
xorg-x11-server-1.4.99.902-3.20080612.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5254

Comment 29 Fedora Update System 2008-06-13 02:23:54 UTC
xorg-x11-server-1.3.0.0-17.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2008-06-14 04:15:17 UTC
xorg-x11-server-1.4.99.902-3.20080612.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2008-06-14 04:19:20 UTC
xorg-x11-server-1.3.0.0-46.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.